<?php
/**
 * Color Setting
 *
 * @package Feminine_Lifestyle_Blog
 */

function feminine_lifestyle_blog_customize_register_color( $wp_customize ) {

    /** Body Font Color*/
    $wp_customize->add_setting( 
        'body_font_color', 
        array(
            'default'           => '#222222',
            'sanitize_callback' => 'sanitize_hex_color',
            'transport'         => 'postMessage'
        ) 
    );

    $wp_customize->add_control( 
        new WP_Customize_Color_Control( 
            $wp_customize, 
            'body_font_color', 
            array(
                'label'       => __( 'Body Font Color', 'feminine-lifestyle-blog' ),
                'description' => __( 'Body font color of the theme.', 'feminine-lifestyle-blog' ),
                'section'     => 'colors',
                'priority'    => 7,
            )
        )
    );

    $wp_customize->get_section( 'title_tagline' )->priority       = 16;
    $wp_customize->get_section( 'colors' )->priority              = 16;
    $wp_customize->get_section( 'background_image' )->priority    = 16;
    $wp_customize->get_control( 'background_color' )->description = __( 'Background color of the theme.', 'feminine-lifestyle-blog' );
}
add_action( 'customize_register', 'feminine_lifestyle_blog_customize_register_color' );